clear;
b1 = 0.0; %constant term
b2 = 0.5; %AR coefficient
ss = 1.0; %variance
T  = 250;

eps = 0.05;
indx = 1;
for i=55:5:95
    for j=i:5:95
        pi = i/100;
        qi = j/100;
         
            PQ(indx,1) = pi;
            PQ(indx,2) = qi;
            indx = indx+1;
       
    end
end
count = size(PQ,1);
nrep=500;
LRt = ones(nrep,1)*-1e6;
SLRt = ones(nrep,1)*-1e6;
SLRt4=LRt;

rng(0);


parfor cc=1:nrep
    [y,x] = RS_dgp( b1, b2, ss, T,'CA');
     [est0, lik_0] = lik_null(y,x);
     V = re1alf(y, x, PQ);
   
    [A,S,~] = svd(V);
    
    u = randn(count,1);
    L234 = (A*sqrt(S)*u);

    [lr,~] = opt2(L234,V);
    SLRt(cc) = lr;
    
    u = randn(3*count,1);
    V = re4a(y, x, PQ);
    [A,S,~] = svd(V);
    L234 = (A*sqrt(S)*u);
    [lr,~] = opt(L234,V);
    SLRt4(cc) = lr;
    
   
     LRt(cc) =  complrt(y,x,count,PQ,lik_0);
     [cc,LRt(cc),SLRt(cc),SLRt4(cc)]
    
end

%save a6090a
 LRt=sort(LRt);
 SLRt=sort(SLRt);
 SLRt4=sort(SLRt4);
 
 save alpha

function mx = complrt(y,x,count,PQ,lik_0)
    mx=-1e8;
    for ij=1:count
         p=PQ(ij,1);
         q=PQ(ij,2);       
        for ct = 1:4  
        [~, lik_a] = lik_pq2(y,x,p,q);
         lr = 2*(lik_a-lik_0);
         mx = max(mx,lr);
        end
    end
end
