clear;
b1 = 0.0; %constant term
b2 = 0.5; %AR coefficient
ss = 1.0; %variance
T  = 250;

eps = 0.05;
indx = 1;
for i=55:5:95
    for j=i:5:95
        pi = i/100;
        qi = j/100;
         
            PQ(indx,1) = pi;
            PQ(indx,2) = qi;
            indx = indx+1;
       
    end
end
count = size(PQ,1);
nrep=5000;
LRt = ones(nrep,1)*-1e6;
SLRt = ones(nrep,1)*-1e6;
SLRt4=SLRt;
%parpool(28);
rng(0);

for cc=1:nrep
    [y,x] = RS_dgp( b1, b2, ss, T,'CA');
    %estimate the model under H_0
    [est0, lik_0] = lik_null(y,x);
    LRt(cc) = lik_pqvar(y,x,PQ,lik_0);


    V = re1mu(y, x,PQ);
    [A0,S0,~] = svd(V);
    u = randn(count,1);
    L2340 = (A0*sqrt(S0)*u);
    [lr,~] = opt2(L2340,V);
    SLRt(cc) = lr;
    [cc SLRt(cc)]
 
    u = randn(3*count,1);
    V = re(y, x,est0, PQ);
    [A,S,~] = svd(V);
    L234 = (A*sqrt(S)*u);
    [lr,~] = opt(L234,V);
    SLRt4(cc) = lr;
    [cc SLRt4(cc)] 
    
end
    LRt=sort(LRt);
    SLRt=sort(SLRt);
    SLRt4=sort(SLRt4);

save mu5595




