close all; clear; clc
h=figure;
box on;
% 
subplot(1, 2, 1)
box on;
title('(a) Testing the slope coefficient','FontSize',11,'FontWeight','normal')
hold on;

load('alpha5595');
[f,xi] = ecdf(LRt);
plot(xi,f,'-k','LineWidth',1.5);

hold on;
[f,xi] = ecdf(SLRt);
plot(xi,f,'--k','LineWidth',1.5);

%hold on;

%[f,xi] = ecdf(SLRt4);
%plot(xi,f,'b:','LineWidth',1.5);



%legend('Finite sample','Original approximation','Refined approximation','location','southeast');


axis([0 15 0 1]);
set(h,'Position',[100 100 800 600]);
hold off






subplot(1, 2, 2)
title('(b) Testing the intercept','FontSize',11,'FontWeight','normal')
box on;
hold on;

load('mu5595');
[f,xi] = ecdf(LRt);
plot(xi,f,'k','LineWidth',1.5);

hold on;

[f,xi] = ecdf(SLRt);
plot(xi,f,'--k','LineWidth',1.5);


hold on;

[f,xi] = ecdf(SLRt4);
plot(xi,f,'k:','LineWidth',1.5);

legend('Finite sample','Original approximation','Refined approximation','location','southeast');


axis([0 15 0 1]);
set(h,'Position',[100 100 800 600]);
hold off

