prob_long<-scan("prob_long.txt")
prob_short<-scan("prob_short.txt")
nber_long<-scan("nber_long.txt")
nber_short<-scan("nber_short.txt")

windows()

plot.new()
par(omi=c(0.0,0.0,0.8,0.0))
#title("Figure 3: Smoothed recession probabilities",outer=TRUE)
par(mfcol=c(2, 1))


par(mfg=c(1, 1, 2, 1))
par(mai=c(0.4, 0.5, 0.4, 0.4))





xz=seq(1,187,by=1)
xx=c(xz,rev(xz))
lowb=rep(0,187)
zz=c(lowb,rev(nber_short))
plot(xx,zz,type='n',axes=FALSE,xlab="Horizon",ylab="Percent",ylim=c(0,1))
polygon(xx,zz, col="grey",border=NA,xlab="Horizon",ylab="Percent")

xx=seq(1,187,by=1)
lines(xx,prob_short,type='l', xlab="Horizon",ylab="Percent",ylim=c(0,1))

axis(1,at=c(0,20,40,60,80,100,120,140,160,180), lab=c(1960,1965,1970,1975,1980,1985,1990,1995,2000,2005))

axis(2)
box()
mtext("\n(a) 1960:I-2006:IV", outer=FALSE,adj=0.5,cex=0.8,line=1)

#---------------------------------------------------------------------

par(mfg=c(2, 1, 2, 1))
par(mai=c(0.4, 0.5, 0.7, 0.4))

xz=seq(1,219,by=1)
xx=c(xz,rev(xz))
lowb=rep(0,219)
zz=c(lowb,rev(nber_long))
plot(xx,zz,type='n',axes=FALSE,xlab="Horizon",ylab="Percent",ylim=c(0,1))
polygon(xx,zz, col="grey",border=NA,xlab="Horizon",ylab="Percent")

xx=seq(1,219,by=1)
lines(xx,prob_long,type='l', xlab="Horizon",ylab="Percent",ylim=c(0,1))

axis(1,at=c(0,20,40,60,80,100,120,140,160,180,200,220), lab=c(1960,1965,1970,1975,1980,1985,1990,1995,2000,2005,2010,2015))

axis(2)
box()
mtext("\n(b) 1960:I-2014:IV", outer=FALSE,adj=0.5,cex=0.8,line=1)

