function [yb,xb] = bootS(y,est0)   
    nar  = size(est0,1)-2;
    t    = length(y)+nar;
    phi0 = est0(2:nar+1,1);
    mu   = est0(1);
    yb = zeros(t,1);
    xb = ones(t-nar,nar+1);

    yb(1:nar,1) = mean(y)+normrnd(0,std(y),nar,1);
    for i=nar+1:t
        yb(i,1) = mu+fliplr(yb((i-nar):(i-1),1)')*phi0+normrnd(0,est0(nar+2));
    end
    for j=2:nar+1
        xb(:,j) = yb(nar+2-j:t-j+1,1);
    end
    yb = yb(nar+1:t,1);
    
end