function cv = cvchp(y,est0,RHO_L, RHO_U, nrep, tol)
    
    nrep=max(200,nrep); 
    %at least 200 simulations
   
    %save the simulated values
    bTS1=zeros(nrep-1,1);
    bTS2=zeros(nrep-1,1);
    
    for simu=1:(nrep-1)
        [yb,xb] = bootS(y,est0);
        [bTS1(simu),bTS2(simu)] = funcTSm(yb,xb,RHO_L,RHO_U,tol);
    end
    
     St=sort(bTS1);
    
    %get cutoffs
    cv=[St(ceil(nrep*0.90)),St(ceil(nrep*0.925)),St(ceil(nrep*0.95)),St(ceil(nrep*0.975)),St(ceil(nrep*0.99))];
end