clear; close all; clc
load realGNP2

bn = 5000;
LR = zeros(140,1);
est = zeros(140,6);
empTS1 = zeros(140,1);
empTS2 = empTS1;
supTS = zeros(bn,140);
z=zeros(140,3);
tol=1e-5;
    RHO_L = 0.02;  %lower bound for rho
    RHO_U = 0.96;  %upper bound for rho
parfor iter1 = 1:140
    D = GNP(52:(130+iter1),:); 
   %iter1=1;
  % D = GNP(52:132,:); 
    y = D(:,1);
    T = size(y,1);
    x = ones(T,2);
    x(:,2) = D(:,2); 
    
    b0 = regress(y,x);
    u  = y-x*b0; 
    v0 = std(u,1);
    est0 = [b0;v0];
    
    [empTS1(iter1),empTS2(iter1)] = funcTSm(y,x,RHO_L,RHO_U,tol);

    bTS1 = zeros(bn,1);
    bTS2 = zeros(bn,1);

    for i=1:bn
        [yb,xb] = bootS(y,est0);
        [bTS1(i),bTS2(i)] = funcTSm(yb,xb,RHO_L,RHO_U,tol);
    end
    
    supTS(:,iter1) = bTS1;   
    w=sort(bTS1);
    iter1
    %empTS1(iter1)
    z(iter1,:)=[empTS1(iter1), w(4500),w(4750)];
    z(iter1,:)
end

%save empCHP_2
