function [SY,V] = getnormald(VV,y,x,chg,pstar,qstar)

    
    T0=length(y);
    [est0, ~] = lik_null(y,x);
    ess=est0(3);
    
    rho=pstar+qstar-1;
    rstar=pstar+qstar-1;
    rprod=rho*rstar;
    xi0 = (1-qstar)/(2-pstar-qstar);     
       
    adterm1=2*(chg^2/ess)*((1-pstar)/(1-qstar))*(1/ess)*(rprod/(1-rprod))*(1-pstar)*(1-qstar)/((2-pstar-qstar)^2);
    adterm2=-2*(chg^2/ess)*((1-pstar)/(1-qstar))*(1/ess)*rho*rstar*(1-pstar)*(1-qstar)/((2-pstar-qstar)^2);
    ad1=(T0^(0.5))*(adterm1+adterm2);%+(T^(-0.5))*sum(A32);
        
    ad2=-(1-xi0)*(1-2*xi0)/(xi0^2)*(T0^0.5)*(chg^3/ess^3)*(1-pstar)*(1-qstar)*(pstar-qstar)/((2-pstar-qstar)^3);
    ad3=(T0^0.5)*(chg^4/(ess^4))*(pstar^2+qstar^2-pstar*qstar-pstar-qstar+1)*(1-qstar)*(1-pstar)/((2-pstar-qstar)^4);
    ad3=ad3-(T0^0.5)*3*(chg^4/(ess^4))*(1-qstar)*(1-qstar)*(1-pstar)*(1-pstar)/((2-pstar-qstar)^4); 
    %changed from 6 to 3
    ad3=ad3*((1-xi0)*(1+((1-xi0)/xi0)^3)-3*(1-xi0)^2/(xi0^2));
        
     
    [A,S,~] = svd(VV);
     u = randn(3,1);
     L234 = (A*sqrt(S)*u);
        
     SY(1)=L234(1)+ad1;
       
     SY(2)=L234(2)+ad2/(T0^0.25);
       
     SY(3)=L234(3)+ad3/(T0^0.5);
   
end