function [suplr,tlr] = opt(L234,V)

    Si = size(L234,1)/3;
    tlr = zeros(Si,1);
    
    %lb = -10*ones(1,1);
    %ub = 10*ones(1,1);
    model = @lr_model;
    options  =  optimset('fminsearch');
    %options  =  optimset(options , 'Algorithm ','interior-point');		
    options  =  optimset(options , 'Display'     , 'off');		
    options  =  optimset(options , 'MaxIter'     , 15000);       
    options  =  optimset(options , 'MaxFunEvals' , 3000);
    %option2  =  optimset(options , 'Algorithm ','active-set');
            
    for cci=1:Si
        for ci=1:8
            start_point = unifrnd(-10,10,1,1);
    		[~,nlr] = fminsearch(model, start_point,options);
            plr = -nlr;
            tlr(cci) = max(tlr(cci),plr);
        end
           
            
    end
    suplr = max(tlr);
    
    %this is the expansion formula in the paper
    function lr = lr_model(xv)
        lr = -L234(cci)*xv^2+(1/4)*V(cci,cci)*xv^4 ...
            -(1/3)*L234(cci+Si)*xv^3 ...
            +(1/36)*(V(cci+Si,cci+Si)*xv^6) ...
            -(1/12)*L234(cci+2*Si)*xv^4 ...
            +(1/576)*(V(cci+2*Si,cci+2*Si)*xv^8);
    end

end