function [suplr,tlr] = opt2(L2,V)
    Si = size(L2,1);
    tlr = zeros(Si,1);
    for cci=1:Si
        for ci=1:4
            start_point = unifrnd(-10,10,1,1);
            lb = -10*ones(1,1);
            ub = 10*ones(1,1);
            model = @lr_model;
    		options  =  optimset('fmincon');
    		options  =  optimset(options , 'Algorithm ','interior-point');
    		options  =  optimset(options , 'Display'     , 'off');
    		options  =  optimset(options , 'MaxIter'     , 15000);
    		options  =  optimset(options , 'MaxFunEvals' , 3000);
    		[~,nlr] = fmincon(model, start_point, [], [], [] ,[],lb, ub, [], options);
            plr = -nlr;
            tlr(cci) = max(tlr(cci),plr);
        end
    end
    suplr = max(tlr);
    
    
    function lr = lr_model(xv)
        lr = -L2(cci)*xv^2+(1/4)*V(cci,cci)*xv^4;

    end

end