function GP(ntime, task)

b1 = 0.0; %constant term
b2 = 0.5; %AR coefficient
ss = 1.0; %variance
T  = 100;

eps = 0.02;
indx = 1;
for i=2:2:98
    for j=i:2:98
        pi = i/100;
        qi = j/100;
        if (pi+qi)>=(1+eps)
            PQ(indx,1) = pi;
            PQ(indx,2) = qi;
            indx = indx+1;
        end
    end
end
count = size(PQ,1);
ibegin = (task-1)*ntime + 1;
iend = task*ntime;
LRt = ones(ntime,1)*-1e6;



for cc=ibegin:iend
    [y,x] = RS_dgp( b1, b2, ss, T,'CA');
    V = re4(y, x, PQ);
    [A,S,~] = svd(V);
    rng(task*68144+cc);
    u = randn(3*count,1);
    L234 = (A*sqrt(S)*u);

    [lr,~] = opt4(L234,V);
    LRt(cc-ibegin+1) = lr;

end
myfile = ['ms_ar1_a0298_100.' num2str(task) '.mat'];
save(myfile,'LRt')
end



