function [y,x] = RS_dgpS1(rho, variance, nr, model)
    switch(model)
        case 'CG'
        sd = sqrt(variance);
       % x = normrnd(0,1,nr,1);
        z = zeros(nr+202,1);
            for i = 3:nr+202
                z(i,1) = 0.5*z(i-1,1)+normrnd(0,1); %AR(1) rho=0.5, variance=1
            end
            x=z(202:nr+201,1);
            y = rho*x+normrnd(0,sd,nr,1);
            
        case 'CA'
            sd = sqrt(variance);
            x = zeros(nr,1);
            
            z = zeros(nr+202,1);
            for i = 3:nr+202
                z(i,1) = rho*z(i-1,1)+normrnd(0,sd);
            end
            y = z(203:nr+202,1);
            x(:,1) = z(202:nr+201,1);
    end
end

