function SY = getnormal(VV,y,chg,pstar,qstar)%(y,x,est0, PQ)
    
    ess=mean((y-mean(y)).^2);
    T0=length(y);
    
    p=pstar;
    q=qstar;
    xi0 = (1-q)/(2-p-q); 
    rho=pstar+qstar-1;
    rstar=pstar+qstar-1;
    rprod=rho*rstar;
    ad1=(T0^0.5)*2*(chg^2/ess)*((1-p)/(1-q))*(1/ess)*(rprod/(1-rprod))*(1-pstar)*(1-qstar)/((2-pstar-qstar)^2);
    ad2=-(1-xi0)*(1-2*xi0)/(xi0^2)*(T0^0.5)*(chg^3/ess^(3))*(1-pstar)*(1-qstar)*(pstar-qstar)/((2-pstar-qstar)^3);
    ad3=(T0^0.5)*(chg^4/(ess^4))*(pstar^2+qstar^2-pstar*qstar-pstar-qstar+1)*(1-qstar)*(1-pstar)/((2-pstar-qstar)^4);
    ad3=ad3-(T0^0.5)*3*(chg^4/(ess^4))*(1-qstar)*(1-qstar)*(1-pstar)*(1-pstar)/((2-pstar-qstar)^4);    
    ad3=ad3*((1-xi0)*(1+((1-xi0)/xi0)^3)-3*(1-xi0)^2/(xi0^2));
       

    [A,S,~] = svd(VV);
     u = randn(3,1);
     SY = (A*sqrt(S)*u);
     SY(1)=SY(1)+ad1(1);
        
     SY(2)=SY(2)+ad2*T0^(-0.25);
        
     SY(3)=SY(3)+ad3*T0^(-0.5);
        
end