    clc; clear all;
    qstar=0.2; % select the transition probability q
    T0=50000;  % the sample size
    cstar=7.3; % the size of the change
    dynamic=1; % set to 1 for the dynamic case, 0 otherwise
    
    %% You should not need to modify the following
    pstar=0.9;
    ess=1;
    chg=cstar*T0^(-1/4);
    %chg
    rho=pstar+qstar-1;
    rstar=pstar+qstar-1;
    rprod=rho*rstar;
    xi0 = (1-qstar)/(2-pstar-qstar);       
    adterm1=2*(chg^2/ess)*((1-pstar)/(1-qstar))*(1/ess)*(rprod/(1-rprod))*(1-pstar)*(1-qstar)/((2-pstar-qstar)^2);
    %adjustment for dynamic model
    if dynamic==1
        adterm2=-2*(chg^2/ess)*((1-pstar)/(1-qstar))*(1/ess)*rho*rstar*(1-pstar)*(1-qstar)/((2-pstar-qstar)^2);
    else
        adterm2=0;
    end
    ad1=(T0^(0.5))*(adterm1+adterm2);%+(T^(-0.5))*sum(A32);
    ad2=-(1-xi0)*(1-2*xi0)/(xi0^2)*(T0^0.5)*(chg^3/ess^3)*(1-pstar)*(1-qstar)*(pstar-qstar)/((2-pstar-qstar)^3);
    ad3=(T0^0.5)*(chg^4/(ess^4))*(pstar^2+qstar^2-pstar*qstar-pstar-qstar+1)*(1-qstar)*(1-pstar)/((2-pstar-qstar)^4);
    ad3=ad3-(T0^0.5)*3*(chg^4/(ess^4))*(1-qstar)*(1-qstar)*(1-pstar)*(1-pstar)/((2-pstar-qstar)^4); 
    %changed from 6 to 3
    ad3=ad3*((1-xi0)*(1+((1-xi0)/xi0)^3)-3*(1-xi0)^2/(xi0^2));
        
   disp ('the leading term');
   disp (ad1);
   disp ('the third order term');
   disp (ad2*(T0^(-1/4))/3);
   disp ('the fourth order term');
   disp (ad3*(T0^(-1/2))/12);
   
   disp (ad2*(T0^(-1/4))/3/ad1);